package com.takensoft.ai_lms.lms.class_book.web;

import com.takensoft.ai_lms.lms.class_book.service.ClassBookService;
import com.takensoft.ai_lms.lms.class_book.vo.ClassBookVO;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.HashMap;

@RestController
@RequiredArgsConstructor
@RequestMapping(value = "/classBook")
public class ClassBookController {

    private final ClassBookService classBookService;

    /**
     * @author  박세훈
     * @since   2024.07.29
     * param   ClassBookDAO
     * @return
     * @throws  Exception
     *
     * 반 책 등록
     */
    @PostMapping("/register.json")
    public String registerBook(@RequestBody ClassBookVO classBookVO) throws Exception {
        try {
            int result = classBookService.registerBook(classBookVO);
            if (result > 0) {
                return "success";
            } else {
                return "fail";
            }
        } catch (Exception e) {
            e.printStackTrace();
            return "Error";
        }
    }


    /**
     * @author  박세훈
     * @since   2024.07.29
     * param   ClassBookDAO
     * @return
     * @throws  Exception
     *
     * 반 책 삭제
     */
    @DeleteMapping("/deleteClassBook.json")
    public String deleteClassBook(@RequestBody ClassBookVO classBookVO) throws Exception {
        try {
            int result = classBookService.deleteClassBook(classBookVO);
            System.out.println("result = " + result);
            if (result > 0) {
                return "success";
            } else {
                return "fail";
            }
        } catch (Exception e) {
            e.printStackTrace();
            return "Error";
        }
    }

}
